Bug 365701 - the --add-email argument removes additional information from abook addressbook
the --add-email argument removes additional information from abook addressbook
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abook (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 04:40 EST by Tiger!P
Modified: 2010-12-15 04:05 EST (History)
2 users (show)

See Also:
Fixed In Version: abook-0.6.0-0.6.pre2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-15 03:59:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An addressbook file that has more than only name and email (282 bytes, text/plain)
2007-11-04 04:40 EST, Tiger!P
no flags Details
preserve all fields by default (3.08 KB, patch)
2010-12-03 06:47 EST, Stephen Beahm
no flags Details | Diff

  None (edit)
Description Tiger!P 2007-11-04 04:40:37 EST
Description of problem:
When using the --add-email argument for adding an email address to the 
addressbook it will remove additional information from all addressbook items 
that are available in the current addressbook. (Such as address, city, country 
etc.)

Version-Release number of selected component (if applicable):
abook v 0.6.0pre2


How reproducible:
Every time.

Steps to Reproduce:
1. Use a addressbook file that has an entry with more than only a name and 
email (see attachment)

2. `echo "From: Genaro P. Best <genaro@example.com>" |abook --add-email` to add 
a new address to the addressbook
3. Now take a look at the ~/.abook/addressbook . Here all information that was 
present before step 2 has been removed except the name and email address
  
Actual results:


Expected results:


Additional info:
Comment 1 Tiger!P 2007-11-04 04:40:37 EST
Created attachment 247541 [details]
An addressbook file that has more than only name and email
Comment 2 Tiger!P 2007-11-04 04:44:27 EST
Sorry, I forgot the Actual results and other items.

Actual results:
The extra information about the first user has been removed.

Expected results:
All information about the first user is still in the addressbook and only the 
name and email of the new user have been added.

Additional info:
I think it version 0.5.6 does not have this problem.
Comment 3 Tiger!P 2007-11-04 04:47:17 EST
Comment on attachment 247541 [details]
An addressbook file that has more than only name and email

Changed the MIME type to text/plain
Comment 4 Bug Zapper 2008-05-14 10:58:59 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Tiger!P 2008-05-18 15:07:30 EDT
This still applies to Fedora 8

$ rpm -qa|grep abook
abook-0.6.0-0.2.pre2.fc8
$

Comment 6 Bug Zapper 2008-11-26 03:11:23 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-11-18 05:08:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Dominik 'Rathann' Mierzejewski 2009-12-01 11:58:00 EST
Still not fixed, bumping to rawhide.
Comment 9 Bug Zapper 2010-03-15 07:56:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Stephen Beahm 2010-12-03 06:47:44 EST
Created attachment 464552 [details]
preserve all fields by default

The problem described in this bug is caused by the option 'preserve_fields' which is documented in abookrc(5). The default was to preserve only standard fields and delete everything else. This is a very scary and surprising behaviour. This patch sets the default to preserve all fields ... No more surprises!
Comment 11 Dominik 'Rathann' Mierzejewski 2010-12-04 12:11:01 EST
Thanks a lot for investigating this, Stephen. I applied a slightly different patch and an updated package is on its way.
Comment 12 Fedora Update System 2010-12-04 12:28:37 EST
abook-0.6.0-0.6.pre2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/abook-0.6.0-0.6.pre2.fc14
Comment 13 Fedora Update System 2010-12-04 12:28:43 EST
abook-0.6.0-0.6.pre2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/abook-0.6.0-0.6.pre2.fc13
Comment 14 Fedora Update System 2010-12-04 19:43:53 EST
abook-0.6.0-0.6.pre2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update abook'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/abook-0.6.0-0.6.pre2.fc14
Comment 15 Fedora Update System 2010-12-15 03:59:13 EST
abook-0.6.0-0.6.pre2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-12-15 04:05:23 EST
abook-0.6.0-0.6.pre2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.